# Welcome

### This project is a Door access system built on RPIs

#### Getting Started

1) Start by installing the latest version of raspianOS on your Raspberry Pi
   1) Get Raspberry Pi Imager from the web
   2) Launch it
   3) Choose your model (RPI 4)
   4) Choose OS (Raspberry PI OS 64-bit)
   5) Select your SD card
   6) Press Ctrl+Shift+X
   7) Set a hostname
   8) Set a username and password
   9) Set locale settings
   10) Press Save
   11) Press the "Next" button
   12) Continue through any further prompts, keeping all settings that were set
2) Boot the Raspberry Pi
3) Open a command prompt on a seperate computer
4) Ping the hostname set in 1.vii to find the IPv4 address (might need `-4` flag)
5) SSH into the RPI (Raspberry Pi)
6) run `git clone https://gitea.eggtech.net/eggman20339/CNSA-276-FP.git && sudo sh CNSA-276-FP/install.sh`
7) The script should take care of the rest, the RPI will restart and then auto start the program
8) after reboot, to edit the config, SSH back in and navigate to `/user/CNSA/CNSA-276-FP/`
9) run `nano config.ini`
10) alter any config needed
11) use Ctrl+x to exit and save